#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,maxi;
    cin>>n;
    vector<int> a(n);
    vector<int> b(n);
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    for(int i=0; i<n; i++)
    {
        cin>>b[i];
    }

    for(int i=0;i<n;i++)
    {
        int xor=0;
        int and=b[i];

        for(int j=i;j<n;j++)
        {
            xor ^= a[j];
            and &= b[j];
            int tr=xor*and;
            maxi = max(maxi,tr);
        }
    }
    cout<<maxi;
    return 0;
}